logo
Apache Lounge
Webmasters

 


About

Forum Index Downloads Search Register Log in  RSS Apache Lounge
 


Keep Server Online

If you find the Apache Lounge, the downloads and overall help useful, please express your satisfaction with a donation.

or

Bitcoin

A donation makes a contribution towards the costs, the time and effort that's going in this site and building.

Thank You! Steffen

Apache Lounge is not sponsored.

Your donations will help to keep this site alive and well, and continuing building binaries.



mod_Subversion 1.10.0 for httpd 2.4.x vc15

 
Post new topic   Reply to topic    Apache Forum Index -> Apache Building & Member Downloads



View previous topic :: View next topic  
Author Message
spser



Joined: 29 Aug 2016
Posts: 45

PostPosted: Sat 14 Apr '18 1:49    Post subject: mod_Subversion 1.10.0 for httpd 2.4.x vc15 Reply with quote

Please compile a formal version, thank you.
Back to top
James Blond
Moderator


Joined: 19 Jan 2006
Posts: 6484
Location: Germany, Next to Hamburg

PostPosted: Mon 07 May '18 10:56    Post subject: Reply with quote

You can find it at https://github.com/nono303/win-svn
Back to top
spser



Joined: 29 Aug 2016
Posts: 45

PostPosted: Tue 08 May '18 3:55    Post subject: Reply with quote

错误 Msg:The Apache service named reported the following error:
>>> httpd.exe: Syntax error on line 458 of D:/Qampp/apache/conf/httpd.conf: Syntax error on line 1 of D:/Qampp/apache/conf/extra/httpd-svn.conf: Cannot load D:/Qampp/svnserver/Subversion/modules/mod_dav_svn.so into server: \xd5\xd2\xb2\xbb\xb5\xbd\xd6\xb8\xb6 .;InString:["The Apache service named","","reported the following error:\r\n>>>","httpd.exe: Syntax error on line 458 of D:/Qampp/apache/conf/httpd.conf: Syntax error on line 1 of D:/Qampp/apache/conf/extra/httpd-svn.conf: Cannot load D:/Qampp/svnserver/Subversion/modules/mod_dav_svn.so into server: \\xd5\\xd2\\xb2\\xbb\\xb5\\xbd\\xd6\\xb8\\xb6","","","","",""](2018-05-08 09:50:11)
错误 Msg:The Apache service named reported the following error:
>>> \xa8\xb5\xc4\xc4\xa3\xbf\xe9\xa1\xa3 .;InString:["The Apache service named","","reported the following error:\r\n>>>","\\xa8\\xb5\\xc4\\xc4\\xa3\\xbf\\xe9\\xa1\\xa3","","","","",""](2018-05-08 09:50:11)

-----------------------------------------------------
Error message, I use 9.x version but normal.. Help me
Back to top
spser



Joined: 29 Aug 2016
Posts: 45

PostPosted: Tue 08 May '18 4:07    Post subject: Reply with quote

ssleay32.dll
apr_ldap-1.dll

File not in zip?
Back to top
James Blond
Moderator


Joined: 19 Jan 2006
Posts: 6484
Location: Germany, Next to Hamburg

PostPosted: Tue 08 May '18 11:10    Post subject: Reply with quote

Those files are not in the source code of mod_subversion / svn. They are part of apache. ssleay32.dll is part of mod_ssl.

Do you use the correct apache version compiled with VC15?
Back to top
spser



Joined: 29 Aug 2016
Posts: 45

PostPosted: Tue 08 May '18 11:45    Post subject: Reply with quote

D:\Qampp>httpd -V
Server version: Apache/2.4.33 (Win64)
Apache Lounge VC15 Server built: Mar 28 2018 12:38:12
Server's Module Magic Number: 20120211:76
Server loaded: APR 1.6.2, APR-UTIL 1.6.0
Compiled using: APR 1.6.3, APR-UTIL 1.6.1
Architecture: 64-bit
Server MPM: WinNT
threaded: yes (fixed thread count)
forked: no

this my apache...
Back to top
James Blond
Moderator


Joined: 19 Jan 2006
Posts: 6484
Location: Germany, Next to Hamburg

PostPosted: Wed 09 May '18 11:04    Post subject: Reply with quote

Open a ticket at https://github.com/nono303/win-svn/issues/new cause Apache Lounge does not build mod_svn.

Maybe Jan-E can build the new version if he reads this.
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 887
Location: Amsterdam, NL, EU

PostPosted: Fri 11 May '18 10:39    Post subject: Reply with quote

spser wrote:
Server loaded: APR 1.6.2, APR-UTIL 1.6.0
Compiled using: APR 1.6.3, APR-UTIL 1.6.1

Strange. Did you update libapr-1.dll, libapriconv-1.dll and libaprutil-1.dll when you installed Apache/2.4.33 (VC15, Win64)?

@James Blond: This version of Apache uses OpenSSL 1.1.0. There should not be a ssleay32.dll, but libcrypto-1_1-x64.dll and libssl-1_1-x64.dll.

I do not build with OpenSSL 1.1.0 yet. Probably I will jump to OpenSSL 1.1.1 which will become the next LTS version of OpenSSL, when it is released and stable enough.
Back to top
spser



Joined: 29 Aug 2016
Posts: 45

PostPosted: Fri 11 May '18 10:43    Post subject: Reply with quote

Not compatible with each apache version? For example, 2.4.32 2.4.29??
Have you tested it? Thank you
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 887
Location: Amsterdam, NL, EU

PostPosted: Fri 11 May '18 11:04    Post subject: Reply with quote

spser wrote:
Not compatible with each apache version? For example, 2.4.32 2.4.29??
Have you tested it? Thank you

Do not ever mix binaries compiled with & for libapr 1.6.3, libaprutil 1.6.1 and/or OpenSSL 1.1.0 with binaries, built for libapr 1.6.2, libaprutil 1.6.0 and/or OpenSSL 1.0.2.

Especially the differences between OpenSSL 1.1.0 and OpenSSL 1.0.2 are huge.
Back to top
spser



Joined: 29 Aug 2016
Posts: 45

PostPosted: Fri 11 May '18 11:19    Post subject: Reply with quote

D:\Qampp>httpd -V
Server version: Apache/2.4.33 (Win64)
Apache Lounge VC15 Server built: Mar 28 2018 12:38:12
Server's Module Magic Number: 20120211:76
Server loaded: APR 1.6.3, APR-UTIL 1.6.1
Compiled using: APR 1.6.3, APR-UTIL 1.6.1
Architecture: 64-bit
Server MPM: WinNT
---------------------------
The default apache
The version in git Subversion zip : libapr 1.6.2
Can't start, seek integration method
Back to top
spser



Joined: 29 Aug 2016
Posts: 45

PostPosted: Sat 15 Sep '18 18:16    Post subject: Reply with quote

help me...
Back to top
spser



Joined: 29 Aug 2016
Posts: 45

PostPosted: Mon 17 Sep '18 3:37    Post subject: Reply with quote

已经解决好了.
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 887
Location: Amsterdam, NL, EU

PostPosted: Mon 17 Sep '18 6:21    Post subject: Reply with quote

Translated: Already solved
Back to top
spser



Joined: 29 Aug 2016
Posts: 45

PostPosted: Mon 17 Sep '18 14:33    Post subject: Reply with quote

Jan-E wrote:
Translated: Already solved


I installed the dll inside the deps and copied it to start it... I don't know if this operation is correct??
Back to top
nono303



Joined: 20 Dec 2016
Posts: 51
Location: France, Lille

PostPosted: Mon 17 Sep '18 16:37    Post subject: Reply with quote

Hi Guys!
Coming back from holidays... Finally, is there a problem with https://github.com/nono303/win-svn builds? I didn't receive any github issue. Donít hesitate!
Back to top


Post new topic   Reply to topic    Apache Forum Index -> Apache Building & Member Downloads
Page 1 of 1